
/**
 *  Klasse zum halten der Datensatzdaten zu auf einem Gert abgelegten Daten 
 *   @author Harald Kranz
 *
 */
public class DFRecord {
	
	/**
	 * hlt den Datensatz als String 
	 */
	private String stringValue;
	
	/**
	 * Hlt den Datensatz als byte[]
	 */
	private byte[] byteValue;

	/**
	 * Merkt sich den Typ des Datensatz als Zahl aus der Datensatzbeschreibung.  
	 */
	private int Typ;


	/**
	 * Getter fr den Datensatztyp 
	 * @return int Datensatztyp
	 */
	public int getTyp() {
		return Typ;
	}

	/**
	 * Setter fr den Datensatztyp 
	 * @param typ als int 
	 */
	public void setTyp(int typ) {
		Typ = typ;
	}

	/**
	 * Getter fr den Datensatz als String
	 * @return Datensatz als String 
	 */
	public String getStringValue() {
		return stringValue;
	}

	/**
	 * Setter fr den Datensatz als String
	 * @param stringValue Datensatz als String
	 */
	public void setStringValue(String stringValue) {
		this.stringValue = stringValue;
	}

	/**
	 * Getter fr den Datensatz als byte[]
	 * @return Datensatz als byte[] 
	 */
	public byte[] getByteValue() {
		return byteValue;
	}

	/** 
	 * Setter fr den Datensatz als byte[]
	 * @param byteValue Datensatz als byte[]
	 */
	public void setByteValue(byte[] byteValue) {
		this.byteValue = byteValue;
	}

}
